## com.sun.jersey.spi.monitoring
Interface ResponseListener

    public interface ResponseListener

Author:
  Marek Potociar (marek.potociar at oracle.com)

Method Summary
`void` | `onError(long id, java.lang.Throwable ex)` Called when exception is thrown during dispatching and not mapped via ExceptionMapper.
`void` | `onMappedException(long id, java.lang.Throwable exception, ExceptionMapper mapper)` Called when Jersey has finalized response and handles it back to container.
`void` | `onResponse(long id, ContainerResponse response)` Called when Jersey has finalized response and handles it back to container.

Method Detail

### onError

    void onError(long id,
                 java.lang.Throwable ex)

  Called when exception is thrown during dispatching and not mapped via ExceptionMapper.

  Parameters:
    `id` - Context ID.
    `ex` - thrown exception.

### onResponse

    void onResponse(long id,
                    ContainerResponse response)

  Called when Jersey has finalized response and handles it back to container.

  Parameters:
    `id` - Context ID.
    `response` - response instance. It MUST NOT be modified.

### onMappedException

    void onMappedException(long id,
                           java.lang.Throwable exception,
                           ExceptionMapper mapper)

  Called when Jersey has finalized response and handles it back to container.

  Parameters:
    `id` - Context ID.
    `exception` - thrown exception.
    `mapper` - `ExceptionMapper` used for processing that particular exception.

Copyright © 2017 Oracle Corporation. All Rights Reserved.